Subject: 24.3.92; ls-lisp: Sorting; make ls-lisp-string-lessp a normal function?
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Fri, 18 Jul 2014 08:22:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Some users will want to configure the sorting predicate used by ls-lisp,
for example, to get a natural sorting of version numbers, or to sort in
files whose names start with a dot as if they had no dot, etc.

Currently, sorting is even hardcoded because `ls-lisp-string-lessp' is a
defsubst.  If it was a normal function, one could advice it.

Or, with some more efforts, sorting order could be made configurable via
options, and the -v switch could be implemented.

Regards,

Michael.

In GNU Emacs 24.3.92.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.12.2)
 of 2014-07-17 on drachen
Windowing system distributor `The X.Org Foundation', version 11.0.11599904
System Description:	Debian GNU/Linux testing (jessie)